// Code generated by tablegen. DO NOT EDIT.
package tables

func (t AllTables) Searches() Searches { return Searches(t) }

type Searches struct{ alias string }

func (t Searches) TableAlias() string { return t.alias }
func (t Searches) name() string       { return "Searches" }
func (t Searches) TableName() string  { return tableName(t.name(), "", t.alias) }
func (t Searches) AllColumnNames() []string {
	c := t.Columns()
	return []string{
		c.Kind(),
		c.UserID(),
		c.EntityID(),
		c.CreatedAt(),
	}
}

func (t Searches) Columns() SearchesCols { return SearchesCols{tableAlias: t.alias} }

type SearchesCols struct{ tableAlias string }

func (c SearchesCols) Kind() string      { return colName(c.tableAlias, "Kind") }      // INT64
func (c SearchesCols) UserID() string    { return colName(c.tableAlias, "UserID") }    // STRING(36)
func (c SearchesCols) EntityID() string  { return colName(c.tableAlias, "EntityID") }  // STRING(36)
func (c SearchesCols) CreatedAt() string { return colName(c.tableAlias, "CreatedAt") } // TIMESTAMP OPTIONS (allow_commit_timestamp = true)
